%global _description %{expand:
gsl-lite is an implementation of the C++ Core Guidelines Support Library
originally based on Microsoft GSL.
}

%bcond_without tests

# Header only, so no debuginfo is generated
%global debug_package %{nil}

Name:           gsl-lite
Version:        0.39.0
Release:        1%{?dist}
Summary:        Header-only version of ISO C++ Guidelines Support Library (GSL)

License:        MIT
URL:            https://github.com/gsl-lite/gsl-lite
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description %_description

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{version}


%build
%cmake -DGSL_LITE_OPT_BUILD_EXAMPLES=ON \
    -DGSL_LITE_OPT_BUILD_TESTS=%{?with_tests:ON}%{?!with_tests:OFF}
%cmake_build


%install
%cmake_install

%check
%if %{with tests}
%ctest
%endif

%files devel
%license LICENSE
%doc README.md CHANGES.txt
%{_includedir}/%{name}
# Directory is co-owned with gsl-devel and guidelines-support-library-devel:
%dir %{_includedir}/gsl
%{_includedir}/gsl/%{name}.hpp

%{_libdir}/cmake/%{name}

%changelog
* Thu Sep 30 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.39.0-1
- Update to 0.39.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.38.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 22 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.38.1-1
- Update to latest bugfix release

* Mon Apr 19 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.38.0-1
- Include upstream workaround for GCC bug
- Enable tests by default
- Disable tests on s390x

* Sun Apr 18 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.38.0-1
- Initial build
